From: Namhyung Kim <namhyung@kernel.org>
To: Arnaldo Carvalho de Melo <acme@kernel.org>, Jiri Olsa <jolsa@kernel.org>
Cc: Ingo Molnar <mingo@kernel.org>,
Peter Zijlstra <peterz@infradead.org>,
LKML <linux-kernel@vger.kernel.org>,
Ian Rogers <irogers@google.com>,
linux-perf-users@vger.kernel.org,
Adrian Hunter <adrian.hunter@intel.com>
Subject: [PATCH 3/6] perf test: Test record with --threads option
Date: Tue, 6 Sep 2022 23:46:42 -0700 [thread overview]
Message-ID: <20220907064645.1197894-4-namhyung@kernel.org> (raw)
In-Reply-To: <20220907064645.1197894-1-namhyung@kernel.org>
To verify per-thread mode is working with multi-thread recording.
Use two software events for testing to check event set-output handling.
Also update the cleanup routine because threads recording produces data
in a directory.
Signed-off-by: Namhyung Kim <namhyung@kernel.org>
---
tools/perf/tests/shell/record.sh | 17 +++++++++++++++--
1 file changed, 15 insertions(+), 2 deletions(-)
diff --git a/tools/perf/tests/shell/record.sh b/tools/perf/tests/shell/record.sh
index cea3c7b7e2cd..3331fb092654 100755
--- a/tools/perf/tests/shell/record.sh
+++ b/tools/perf/tests/shell/record.sh
@@ -11,8 +11,8 @@ testsym="test_loop"
testopt="-D 3"
cleanup() {
- rm -f ${perfdata}
- rm -f ${perfdata}.old
+ rm -rf ${perfdata}
+ rm -rf ${perfdata}.old
if [ "${testprog}" != "true" ]; then
rm -f ${testprog}
@@ -90,6 +90,19 @@ test_per_thread() {
err=1
return
fi
+ if ! perf record -e cpu-clock,cs --per-thread --threads=core ${testopt} \
+ -o ${perfdata} ${testprog} 2> /dev/null
+ then
+ echo "Per-thread record with --threads [Failed]"
+ err=1
+ return
+ fi
+ if ! perf report -i ${perfdata} -q | egrep -q ${testsym}
+ then
+ echo "Per-thread record with --threads [Failed missing output]"
+ err=1
+ return
+ fi
echo "Basic --per-thread mode test [Success]"
}
--
2.37.2.789.g6183377224-goog
next prev parent reply other threads:[~2022-09-07 6:47 UTC|newest]
Thread overview: 19+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-09-07 6:46 [PATCHSET 0/6] perf test: Improve perf record tests (v1) Namhyung Kim
2022-09-07 6:46 ` [PATCH 1/6] perf test: Do not use instructions:u explicitly Namhyung Kim
2022-09-07 7:56 ` Adrian Hunter
2022-09-07 6:46 ` [PATCH 2/6] perf test: Use a test program in perf record tests Namhyung Kim
2022-09-07 10:44 ` Adrian Hunter
2022-09-07 17:38 ` Namhyung Kim
2022-09-07 13:16 ` Adrian Hunter
2022-09-07 13:24 ` Adrian Hunter
2022-09-07 17:40 ` Namhyung Kim
2022-09-07 6:46 ` Namhyung Kim [this message]
2022-09-07 13:33 ` [PATCH 3/6] perf test: Test record with --threads option Adrian Hunter
2022-09-07 17:41 ` Namhyung Kim
2022-09-07 6:46 ` [PATCH 4/6] perf test: Add system-wide mode in perf record tests Namhyung Kim
2022-09-07 15:20 ` Adrian Hunter
2022-09-07 6:46 ` [PATCH 5/6] perf test: Add target workload test " Namhyung Kim
2022-09-13 11:03 ` Adrian Hunter
2022-09-13 17:28 ` Namhyung Kim
2022-09-07 6:46 ` [PATCH 6/6] perf test: Do not set TEST_SKIP for record subtests Namhyung Kim
2022-09-13 11:28 ` Adrian Hunter
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20220907064645.1197894-4-namhyung@kernel.org \
--to=namhyung@kernel.org \
--cc=acme@kernel.org \
--cc=adrian.hunter@intel.com \
--cc=irogers@google.com \
--cc=jolsa@kernel.org \
--cc=linux-kernel@vger.kernel.org \
--cc=linux-perf-users@vger.kernel.org \
--cc=mingo@kernel.org \
--cc=peterz@infradead.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox
all inboxes | Powered by JetHome®